Subject: Fw: Invoice 1606548
From: "LLPS Customer Service" <[email-masked]>
To: "Amber Blais" <[email-masked]>
Date: Mon, 15 Oct 2012 09:19:28 -0400

Thank you,
Michael B
LLPS

From: Accounting Department 
Sent: Monday, October 15, 2012 9:07 AM
To: Labor Law Poster Service 
Subject: RE: Invoice 1606548

I called in after I talked to you and cancelled this.  Received it anyway in the mail Saturday 10/14/12. I am sending back and should not have been charged.
Thank you 
Denise Craren

-----Original Message-----
From: Labor Law Poster Service [mailto:[email-masked]] 
Sent: Monday, October 08, 2012 9:57 AM
To: Accounting Department
Subject: Invoice 1606548

        
-------------------------
Thank you for your order. Your invoice is attached.

This is an automatically generated message from Labor Law Poster Service. 
UID: 477